Host moved to mandatory SSL, now RapidCart Pro is broken

Add to cart button does nothing. Site republishing does nothing. Any thoughts? Thanks!

Without a link to your website, we can’t be sure, but you likely have mixed-content on the pages. That’s content that is loaded from a non-ssl connection (http:) from your new, secure connection (https:). You will need to get that fixed.

You can check your pages with this tool: WhyNoPadlock

Many of your issues will likely be fixed by changing your website address in RW from http:// to https:// and republishing all files. You may have to make some other fixes and there is likely an URL field in the RapidCartPro settings that needs to be changed to https:// as well.

Ensure you change the URLs in settings for Rapidcart Pro have been changed to reflect the new https status.

1 Like

Thanks. I tried that, but then it throws a no database error.

Here is my checklist. Thanks for the help so far.

https://bucyrusband.com/rapidcartpro/index.php?checklist

Checklist doesn’t work because jQuery is not correctly loaded before RapidCart Pro requires it.
RapidCart Pro is not the only script that throws this error, you should check Web Inspector.

If it worked before moving to SSL, please make sure you changed your RapidWeaver project web address accordingly and republish all files.

Thank you Rob. I have done that to no avail. Here is my store:

https://bucyrusband.com/rapidcartpro/index.php?catalog/all/-/name/1

I am also attaching a screenshot of my settings? Is there anything that stands out to you?

It seems once I get to the payment tab (PayPal), the “next” button will not advance the page to the next tab.

The theme you are using is trying to load jQuery over HTTP, not HTTP.

When running on HTTPS, all content loaded over HTTP is blocked by browser for security reasons, as you can see in Web Inspector too.

RapidCart Pro and all other plugins and stacks requiring jQuery won’t work.

You need to change jQuery URL from

http://ajax.googleapis.com/ajax/libs/jquery/1.6/jquery.min.js

to

https://ajax.googleapis.com/ajax/libs/jquery/1.6/jquery.min.js

if you can.
Otherwise you need to contact the theme developer asking to fix it.

I republished with a new theme. Still can’t advance with the Next button on the payment screen.

Parse error : syntax error, unexpected ‘[’, expecting ‘)’ in /home/bucyrusb/public_html/rw_common/plugins/rapidcartpro/system/RCPayment.php on line 446

It appears to be working at my end. See the short video

You never advanced to the payment method screen.

You are running PHP 5.3.29.
RapidCart Pro requires PHP 5.6 or higher as written in documentation.
https://tls.4gnd.com/rw/rapidcartpro/manual/#introduction/requirements

1 Like